Package oracle.sql.json

## Interface OracleJsonVector

All Superinterfaces:
  `OracleJsonValue`

    public interface OracleJsonVector
    extends OracleJsonValue

A SQL/JSON vector.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(java.lang.Object obj)` Compares the specified object with this `OracleJsonVector`.
`byte[]` `getByteArray()` Converts this vector into an array of 8-bit integers.
`double[]` `getDoubleArray()` Returns this vector as an array of doubles.
`float[]` `getFloatArray()` Converts this vector into an array of floats.
`VECTOR` `getVECTOR()` Returns this value as a `VECTOR`
`int` `hashCode()` Returns a hash code for the vector.

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, asJsonVector, getOracleJsonType, toString, wrap`

### Method Detail

#### getVECTOR

    VECTOR getVECTOR()

Returns this value as a `VECTOR`

#### getDoubleArray

    double[] getDoubleArray()

Returns this vector as an array of doubles. The returned value is a lossless representation of the vector.

Returns:
  An array containing the dimension values of a vector.
Throws:
  `OracleJsonException` - if an error occurs converting the vector to an array of doubles

#### getFloatArray

    float[] getFloatArray()

Converts this vector into an array of floats.

This method may perform lossy conversions as specified in the "SQL to Java Conversions" section of the JavaDoc for `OracleType.VECTOR`

Returns:
  An array containing the dimension values of a vector.
Throws:
  `OracleJsonException` - if an error occurs converting the vector to an array of floats

#### getByteArray

    byte[] getByteArray()

Converts this vector into an array of 8-bit integers.

This method may perform lossy conversions as specified in the "SQL to Java Conversions" section of the JavaDoc for `OracleType.VECTOR`

Returns:
  An array containing the dimension values of a vector.
Throws:
  `OracleJsonException` - if an error occurs converting the vector to an array of integers

#### hashCode

    int hashCode()

Returns a hash code for the vector.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hash code

#### equals

    boolean equals​(java.lang.Object obj)

Compares the specified object with this `OracleJsonVector`. Returns true if and only if the other object is an instance of `OracleJsonVector` that is equal to this one.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonVector`.